## EntangleControlChoice EntangleControlChoice |

## Functions

EntangleControlChoice * | entangle_control_choice_new ()
void | entangle_control_choice_add_entry ()
void | entangle_control_choice_clear_entries ()
int | entangle_control_choice_entry_count ()
const char * | entangle_control_choice_entry_get ()

## Properties

gchar * | value | Read / Write

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ╰── EntangleControlChoice

## Description

## Functions

### entangle_control_choice_new ()

    EntangleControlChoice *
    entangle_control_choice_new (const char *path,
                                 int id,
                                 const char *label,
                                 const char *info,
                                 gboolean readonly);

### entangle_control_choice_add_entry ()

    void
    entangle_control_choice_add_entry (EntangleControlChoice *choice,
                                       const char *entry);

### entangle_control_choice_clear_entries ()

    void
    entangle_control_choice_clear_entries (EntangleControlChoice *choice);

### entangle_control_choice_entry_count ()

    int
    entangle_control_choice_entry_count (EntangleControlChoice *choice);

### entangle_control_choice_entry_get ()

    const char *
    entangle_control_choice_entry_get (EntangleControlChoice *choice,
                                       int idx);

## Types and Values

## Property Details

### The `“value”` property

      “value”                    gchar *

Current value of the control.

Flags: Read / Write

Default value: NULL